PathwayGetter
Keywords: uk.ac.ic.doc.automed.p2p.PathwayGetter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class PathwayGetter

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.PathwayGetter

    public class PathwayGetter

extends java.lang.Object

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`PathwayGetter(AutoMedPeer peer)`

Method Summary
`void` | `getPathToSource(java.lang.String peerName, java.lang.String address, java.lang.String schemaName)` Edited by dmle on 9/11/2005 to cater for multiple pathways
`void` | `getPathway(java.lang.String peerName, java.lang.String address, java.lang.String fromSchemaName, java.lang.String toSchemaName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathwayGetter

    public PathwayGetter(AutoMedPeer peer)

Method Detail

### getPathway

    public void getPathway(java.lang.String peerName,
                           java.lang.String address,
                           java.lang.String fromSchemaName,
                           java.lang.String toSchemaName)
                    throws IllegalOperationException,
                           java.io.IOException,
                           CommunicationException,
                           UnsuccessfulReplyException,
                           FailedOperationException

  Throws:
    `IllegalOperationException`
    `java.io.IOException`
    `CommunicationException`
    `UnsuccessfulReplyException`
    `FailedOperationException`

### getPathToSource

    public void getPathToSource(java.lang.String peerName,
                                java.lang.String address,
                                java.lang.String schemaName)
                         throws IllegalOperationException,
                                java.io.IOException,
                                CommunicationException,
                                UnsuccessfulReplyException,
                                FailedOperationException

  Edited by dmle on 9/11/2005 to cater for multiple pathways

  Throws:
    `IllegalOperationException`
    `java.io.IOException`
    `CommunicationException`
    `UnsuccessfulReplyException`
    `FailedOperationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD